Bug 252979 - devel/py-sarge: Update to 0.1.6
Summary: devel/py-sarge: Update to 0.1.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://bitbucket.org/vinay.sajip/sar...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2021-01-24 14:39 UTC by Mattias Lindvall
Modified: 2021-01-31 18:45 UTC (History)
2 users (show)

See Also:


Attachments
py-sarge.diff (921 bytes, patch)
2021-01-24 14:39 UTC, Mattias Lindvall
mattias.lindvall: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mattias Lindvall 2021-01-24 14:39:43 UTC
Created attachment 221878 [details]
py-sarge.diff

Changelog:

- Added an optional timeout to Command.wait and Pipeline.wait, which only takes effect on Python >= 3.3.
- Added the replace_env keyword argument which allows a complete replacement for os.environ to be passed.
- Improved error handling around a Popen call.

https://bitbucket.org/vinay.sajip/sarge/src/master/docs/overview.rst

portlint -C still looks fine. Make commands still work fine.
Comment 1 Automation User 2021-01-24 14:57:16 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/246079470
Comment 2 Fernando Apesteguía freebsd_committer 2021-01-26 09:12:25 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.


Thanks!
Comment 3 Yuri Victorovich freebsd_committer 2021-01-31 18:45:03 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2021-01-31 18:45:35 UTC
A commit references this bug:

Author: yuri
Date: Sun Jan 31 18:44:51 UTC 2021
New revision: 563510
URL: https://svnweb.freebsd.org/changeset/ports/563510

Log:
  devel/py-sarge: Update 0.1.5 -> 0.1.6

  PR:		252979
  Submitted by:	mattias.lindvall@gmail.com (maintainer)

Changes:
  head/devel/py-sarge/Makefile
  head/devel/py-sarge/distinfo